Bug 863139 - UserVmManager/PowerUser can not reassign existing VM to a different cluster within the same DC
UserVmManager/PowerUser can not reassign existing VM to a different cluster w...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.2.0
Assigned To: Oved Ourfali
Ondra Machacek
virt
: Regression
Depends On:
Blocks: 886121 915537
  Show dependency treegraph
 
Reported: 2012-10-04 10:13 EDT by David Jaša
Modified: 2013-06-11 05:23 EDT (History)
11 users (show)

See Also:
Fixed In Version: sf1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 886121 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2012-10-04 10:13:01 EDT
Description of problem:
UserVmManager/PowerUser can not reassign existing VM to a different cluster within the same DC. User has to pick the correct one right at VM creation.

Version-Release number of selected component (if applicable):
si19.1 / rhevm-backend-3.1.0-18.el6ev.noarch

How reproducible:
always

Steps to Reproduce:
1. have a DC with two clusters and user with PowerUserRole on whole DC
2. as the user, create a VM in PUP
3. edit the (down, idle) VM, try to change Cluster
  
Actual results:
in step 2: you can choose both clusters - correct
in step 3: only the current cluster is available in drop-down menu

Expected results:
step 2: the same
step 3: user should be able to choose among both clusters

Additional info:
this works fine in 3.0, thus marking as a regression
Comment 2 Oved Ourfali 2012-10-09 03:37:51 EDT
In the Edit existing VM dialog, the UI shows only clusters on which you have EDIT_VM_PROPERTIES action group on.

We changed the PowerUser role to a creator role, thus he no longer has this permission.

It seems reasonable to me to show all clusters with a CREATE_VM permission on the cluster, as by updating a VM cluster you basically create a new VM in this cluster.

Miki - any thoughts on that?
Comment 5 Oved Ourfali 2012-10-22 10:51:52 EDT
Patch posted to gerrit:
http://gerrit.ovirt.org/#/c/8724/
Comment 6 Oved Ourfali 2012-10-22 11:28:42 EDT
Commit: 5627c6402f9b0ab71728f364705a29dce48e6f72

http://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=commit;h=5627c6402f9b0ab71728f364705a29dce48e6f72
Comment 9 Itamar Heim 2013-06-11 04:47:56 EDT
3.2 has been released
Comment 10 Itamar Heim 2013-06-11 04:47:56 EDT
3.2 has been released
Comment 11 Itamar Heim 2013-06-11 04:48:03 EDT
3.2 has been released
Comment 12 Itamar Heim 2013-06-11 04:53:10 EDT
3.2 has been released
Comment 13 Itamar Heim 2013-06-11 05:23:51 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.